# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# C:\ci\containers\00001gbdrca\tmp\build\80754af9\aggregate\arrow-cpp-feedstock\recipe, last modified Mon Nov 18 07:38:33 2019
# ------------------------------------------------

package:
    name: arrow-cpp
    version: 0.13.0
source:
    fn: apache-arrow-0.13.0.tar.gz
    sha256: ac2a77dd9168e9892e432c474611e86ded0be6dfe15f689c948751d37f81391a
    url: https://archive.apache.org/dist/arrow/arrow-0.13.0/apache-arrow-0.13.0.tar.gz
build:
    number: '0'
    run_exports:
        - arrow-cpp >=0.13.0,<0.14.0a0
    string: py38h49ee12d_0
requirements:
    build:
        - ca-certificates 2019.10.16 0
        - cmake 3.14.0 h33f27b4_0
        - ninja 1.9.0 py38h74a9793_0
        - openssl 1.1.1d he774522_3
        - python 3.8.0 hff0d562_2
        - sqlite 3.30.1 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_0
        - vs2017_win-64 19.16.27032.1 hb4161e2_0
        - vswhere 2.7.1 h21ff451_0
    host:
        - blas 1.0 mkl
        - brotli 1.0.7 h33f27b4_0
        - ca-certificates 2019.10.16 0
        - double-conversion 3.1.5 ha925a31_1
        - flatbuffers 1.11.0 h33f27b4_0
        - gflags 2.2.2 ha925a31_0
        - glog 0.4.0 h33f27b4_0
        - icc_rt 2019.0.0 h0cc432a_1
        - intel-openmp 2019.4 245
        - libboost 1.67.0 hd9e427e_4
        - libprotobuf 3.6.0 h1a1b453_0
        - lz4-c 1.8.1.2 h2fa13f4_0
        - mkl 2019.4 245
        - mkl-service 2.3.0 py38hb782905_0
        - mkl_fft 1.0.15 py38h14836fe_0
        - mkl_random 1.1.0 py38hf9181ef_0
        - numpy 1.14.6 py38h59abe10_4
        - numpy-base 1.14.6 py38hc3f5095_4
        - openssl 1.1.1d he774522_3
        - python 3.8.0 hff0d562_2
        - rapidjson 1.1.0 he980bc4_0
        - re2 2019.08.01 vc14ha925a31_0
        - six 1.13.0 py38_0
        - snappy 1.1.7 h777316e_3
        - sqlite 3.30.1 he774522_0
        - thrift-cpp 0.11.0 h1ebf3fd_3
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_0
        - xz 5.2.4 h2fa13f4_4
        - zlib 1.2.11 h62dcd97_3
        - zstd 1.3.7 h508b16e_0
    run:
        - brotli
        - double-conversion
        - gflags >=2.2.2,<2.3.0a0
        - glog >=0.4.0,<1.0a0
        - libboost >=1.67.0,<1.67.1.0a0
        - libprotobuf >=3.6.0,<3.6.1.0a0
        - lz4-c >=1.8.1.2,<1.9.0a0
        - numpy >=1.14,<2.0a0
        - python >=3.8,<3.9.0a0
        - re2
        - snappy >=1.1.7,<2.0a0
        - thrift-cpp >=0.11.0,<0.12.0a0
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
        - zlib >=1.2.11,<1.3.0a0
        - zstd >=1.3.7,<1.3.8.0a0
test:
    commands:
        - if not exist %LIBRARY_INC%\\arrow\\api.h exit 1
        - if not exist %LIBRARY_INC%\\parquet\\api\\reader.h exit 1
        - if not exist %PREFIX%\\Library\\bin\\arrow.dll exit 1
        - if not exist %PREFIX%\\Library\\bin\\arrow_python.dll exit 1
        - if not exist %PREFIX%\\Library\\bin\\parquet.dll exit 1
        - if exist %PREFIX%\\Library\\lib\\arrow_static.lib exit 1
        - if exist %PREFIX%\\Library\\lib\\arrow_python_static.lib exit 1
        - if exist %PREFIX%\\Library\\lib\\parquet_static.lib exit 1
about:
    home: http://github.com/apache/arrow
    license: Apache 2.0
    summary: C++ libraries for Apache Arrow
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - cpcloud
        - jreback
        - kou
        - kszucs
        - leifwalsh
        - pcmoritz
        - pitrou
        - robertnishihara
        - siddharthteotia
        - wesm
        - xhochy
